API referenceExtractions
Update a project (title, description, isActive)
PATCH
/extractions/{id}Requires an API key with one of these roles: admin, editor.
Authorization
bearerAuth AuthorizationBearer <token>
An API key created in Settings → API Keys.
In: header
Path Parameters
id*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/extractions/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "title": "string", "description": "string", "moduleId": "eb49de5a-d93f-4a73-a032-bfeee6879098", "isActive": true, "inactivatedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "isQuick": true, "createdByUserId": "4d2aef9a-17b0-44e6-902e-616812033620", "subscriptionId": "d079718b-ff63-45dd-947b-4950c023750f", "module": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "path": "string" }, "extractionStats": { "total": 0, "completed": 0, "failed": 0, "inProgress": 0, "pending": 0 } }, "meta": { "requestId": "string", "timestamp": "string" }}